import { Meta, Story, Preview } from '@storybook/addon-docs/blocks';
import EditIcon from '@material-ui/icons/Edit';
import IconButton from '@material-ui/core/IconButton';
import ArticleCard from './ArticleCard';
import IconButtonMenu from '../../buttons/IconButtonMenu';
import MenuItem from '@material-ui/core/MenuItem';
import { postMocks } from '../../data/mockups';

<Meta title="Cards/ArticleCard" component={ArticleCard} />

# ArticleCard
 
A card that is specific for an article.
    
<Preview>
  <Story name="default">
    <ArticleCard post={postMocks.sample()} />
  </Story>
  
  
  <Story name="landscape">
    <ArticleCard
      post={postMocks.sample()}
      landscape
      action={(
        <IconButtonMenu>
            <MenuItem>Edit</MenuItem>
        </IconButtonMenu>
      )}
    />
  </Story>
</Preview>